HELP2MAN(1)

NAME
help2man - generiert eine einfache Handbuchseite

ÜBERSICHT
help2man [OPTION]... PROGRAMM

BESCHREIBUNG
`help2man' generiert aus der Ausgabe von »--help« und »--version« eine Handbuchseite.

-n, --name=ZEICHENKETTE
    Beschreibung für den NAME-Abschnitt

-s, --section=ABSCHNITT
    Abschnittsnummer der Handbuchseite (1, 6, 8)

-m, --manual=TEXT
    Name des Handbuchs (Anwenderbefehle,…)

-S, --source=TEXT
    Quelle des Programms (FSF, Debian,…)

-L, --locale=ZEICHENKETTE
    Locale auswählen (Vorgabe »C«)

-i, --include=DATEI
    Material aus »DATEI« einschließen

-I, --opt-include=DATEI
    Material aus »DATEI« einschließen, wenn es existiert

-o, --output=DATEI
    Ausgabe an »DATEI« senden

-p, --info-page=DATEI
    Name des Texinfo-Handbuchs

-N, --no-info
    Zeiger auf Texinfo-Handbuch unterdrücken

--help
    Diese Hilfe anzeigen, dann beenden

--version
    Versionsnummer anzeigen, dann beenden

PROGRAMM sollte »--help«- und »--version«-Optionen akzeptieren und eine Ausgabe auf der Standardausgabe (stdout) erzeugen, aber es können auch Alternativen angegeben werden:

-h, --help-option=ZEICHENKETTE
    Hilfeoptionzeichenkette

-v, --version-option=ZEICHENKETTE
    Versionsoptionzeichenkette

--version-string=ZEICHENKETTE
    Versionszeichenkette

--no-discard-stderr
    Standardfehlerausgabe (stderr) bei der Optionenanalyse einschließen

DATEIEN ZUM EINFÜGEN
Zusätzliches Material kann in die generierte Ausgabe mit den --include und --opt-include Optionen eingefügt werden. Das Format ist einfach:
    [Abschnitt]
    Text
    /Muster/
    Text Blöcke aus wörtlichem *roff-Text werden entweder beim Start durch Angabe von [Abschnitt] (unabhängig von Groß-/Kleinschreibung) in die Ausgabe eingefügt oder nach einen passenden Absatz /Muster/. Muster benutzen die Syntax von regulären Perl-Ausdrücken und können von i, s oder m Bestimmungswörtern gefolgt sein (siehe perlre(1)). Zeilen vor dem ersten Abschnitt oder Muster, die mit »-« beginnen, werden als Optionen behandelt. Alles andere wird stillschweigend ignoriert und könnte für Kommentare, RCS-Schlüsselwörter oder was Sie wollen benutzt werden. Die Reiehnfolge in der die Abschnitte ausgegeben werden, ist:
    NAME
    ÜBERSICHT
    BESCHREIBUNG
    OPTIONEN
    UMGEBUNG
    DATEIEN
    BEISPIELE
    andere
    AUTOR
    FEHLERBERICHTE
    COPYRIGHT
    SIEHE AUCH Jeder [NAME] oder [ÜBERSICHT] -Abschnitt, der in der eingefügten Datei erscheint, wird das ersetzen, was automatisch generiert würde (obwohl Sie das weitere immer noch, wenn nötigt, mit --name überschreiben können. Andere Abschnitte werden der automatisch erzeugten Ausgabe für die oben angegebenen Standardabschnitte vorangestellt oder unter andere (oben) in der Reihenfolge, in der sie in der eingefügten Datei vorgefunden werden, eingefügt. Placement of the text within the section may be explicitly requested by using the syntax [<section], [=section] or [>section] to place the additional text before, in place of, or after the default output respectively.

VERFÜGBARKEIT
Die neuste Version dieser Distribution ist Online erhältlich von:
    ftp://ftp.gnu.org/gnu/help2man/

FEHLERBERICHTE
Berichten Sie Fehler an <bug-help2man@gnu.org>.

COPYRIGHT
Copyright © 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2009, 2010, 2011, 2012, 2013 Free Software Foundation, Inc. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Written by Brendan O'Dea <bod@debian.org>

SIEHE AUCH
Die vollständige Dokumentation für help2man wird als ein Texinfo-Handbuch verwaltet. Wenn die info und help2man Programme ordentlich auf Ihrem Rechner installiert sind, kann Ihnen der Befehl

    info help2man

Zugriff auf das komplette Handbuch geben.